---
apiVersion: v1
kind: Service
metadata:
  name: "{{ k8s_etcd_name }}-lb"
  namespace: "{{ k8s_etcd_namespace }}"
spec:
  type: LoadBalancer
  ports:
    - port: 2379
      targetPort: 2379
      protocol: TCP
      name: client
    - port: 2380
      targetPort: 2380
      protocol: TCP
      name: peer
  selector:
    app.kubernetes.io/name: etcd
